SEQ(1)

BEZEICHNUNG
seq - eine Zahlenfolge ausgeben

ÜBERSICHT
seq [OPTION]… LETZTE
seq [OPTION]… ERSTE LETZTE
seq [OPTION]… ERSTE SCHRITTWEITE LETZTE

BESCHREIBUNG

Die Zahlen von ERSTE bis LETZTE in Schritten von SCHRITTWEITE ausgeben.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-f, --format=FORMAT
    Gleitkomma‐FORMAT im Stil von printf benutzen

-s, --separator=ZEICHENKETTE
    ZEICHENKETTE benutzen, um Zahlen zu trennen (Vorgabe: \n)

-w, --equal-width
    Gleiche Breite durch führende Nullen herstellen

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Wenn ERSTE oder SCHRITTWEITE weggelassen werden, wird 1 angenommen. Eine weggelassene SCHRITTWEITE wird also als 1 interpretiert, selbst wenn LETZTE kleiner als ERSTE ist. Die Zahlensequenz endet, wenn die Summe aus der aktuellen Zahl und der SCHRITTWEITE größer wird als LETZTE. ERSTE, SCHRITTWEITE und LETZTE werden als Gleitkommazahlen interpretiert. SCHRITTWEITE ist normalerweise positiv, wenn ERSTE kleiner als LETZTE ist und SCHRITTWEITE ist normalerweise negativ, wenn ERSTE größer als LETZTE ist. SCHRITTWEITE darf nicht 0 sein; jedes der Argumente ERSTE, SCHRITTWEITE und LETZTE muss eine Zahl sein. FORMAT muss in der Lage sein, ein Argument vom Typ »double« auszugeben; standardmäßig ist es %.PRÄZf wenn ERSTE, SCHRITTWEITE und LETZTE alle dezimale Fixkommazahlen mit einer maximalen Genauigkeit PRÄZ sind, ansonsten %g.

AUTOR
Geschrieben von Ulrich Drepper.

FEHLER BERICHTEN
Onlinehilfe für GNU coreutils: <http://www.gnu.org/software/coreutils/>
Berichten Sie Fehler in der Übersetzung von seq an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2017 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <http://www.gnu.org/software/coreutils/seq>
oder lokal verfügbar mit: info '(coreutils) seq invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.